[% nowrapper=1 %]
[% process_template = 'form/' _ c.config.gemeente_id _ '/header.tt' %]
[% PROCESS $process_template %]

[% layout_type = 'simple' %]

<div id="loginwrap" class="alt-auth-register alt-auth">
    <div class="block">
        <div class="block-header">
            <h1>Registreer een account</h1>
        </div>
        <div class="block-content clearfix">

            <ul class="form-navigation"> 
                <li class="stap first done active">Registratiegegevens</li>
                <li class="stap next-to-active">Registratie bevestigen</li>
            </ul>

            <div class="alt-auth-register-form-1">
                <div class="alt-auth-intro">
            [% IF twofactor_error %]
                <span class="alt-auth-error">[% twofactor_error %]</span>
            [% END %]
                <span class="alt-auth-intro-text">[% twofactor_intro_text %]</span>
                </div>
                

                <div class="form-required-fields-explanation">
                    * = Verplicht veld
                </div>
                <form action="[% c.uri_for('/auth/twofactor/process_registration') | html_entity %]" 
                      method="POST"
                      class="zvalidate"
                      onsubmit="account-creation.disabled = true; return true;"
                >
                    <input type="hidden" name="aanvrager_type" value="[% aanvrager_type | html_entity %]">
                    <div class="grid-table">

                        <div class="row">
                            <div class="column large-4"><label for="email">E-mailadres *</label></div>
                            <div class="column large-8"><input type="text" name="email" id="email">
                            [% PROCESS widgets/general/validator.tt %]</div>
                        </div>

                        <div class="row">
                            <div class="column large-4"><label for="ww">Wachtwoord *</label></div>
                            <div class="column large-8"><input type="password" name="password" id="ww">
                            [% PROCESS widgets/general/validator.tt %]</div>
                        </div>
                        <div class="row">
                            <div class="column large-4"><label for="ww2">Wachtwoord nogmaals *</label></div>
                            <div class="column large-8"><input type="password" name="password_check" id="ww2">
                            [% PROCESS widgets/general/validator.tt %]</div>
                        </div>
                        <div class="row">
                            <div class="column large-4"><label for="mobile">Mobiel telefoonnummer *</label></div>
                            <div class="column large-8"><input type="text" name="phone" id="mobile">
                            [% PROCESS widgets/general/validator.tt %]</div>
                        </div>
                        [% IF aanvrager_type != 'natuurlijk_persoon' %]
                        <div class="row">
                            <div class="column large-4"><label for="kvk">KvK-nummer *</label></div>
                            <div class="column large-8"><input type="text" name="kvknummer" id="kvk">
                            [% PROCESS widgets/general/validator.tt %]</div>
                        </div>
                        <div class="row">
                            <div class="column large-4"><label for="estnr">Vestigingsnummer</div>
                            <div class="column large-8"><input type="text" name="vestigingsnummer" id="estnr">
                            [% PROCESS widgets/general/validator.tt %]</div>
                        </div>
                        [% END %]

                    </div>
                    [% PROCESS plugins/twofactor/activate_buttons.tt %]
                </form>

            </div>
        </div>
    </div>
</div> 

[% process_template = 'form/' _ c.config.gemeente_id _ '/footer.tt' %]
[% PROCESS $process_template %]
